package com.fs.watch.service;


import com.fs.watch.domain.WatchDeviceSetup;
import com.fs.watch.domain.vo.DeviceSetupVo;

import java.util.List;

/**
 * 设备设置信息Service接口
 *
 * @author fs
 * @date 2024-09-19
 */
public interface WatchDeviceSetupService
{
    /**
     * 查询设备设置信息
     *
     * @param deviceId 设备设置信息主键
     * @return 设备设置信息
     */
    public WatchDeviceSetup selectDeviceSetupByDeviceId(String deviceId);

    /**
     * 查询设备设置信息列表
     *
     * @param watchDeviceSetup 设备设置信息
     * @return 设备设置信息集合
     */
    public List<WatchDeviceSetup> selectDeviceSetupList(WatchDeviceSetup watchDeviceSetup);

    /**
     * 新增设备设置信息
     *
     * @param watchDeviceSetup 设备设置信息
     * @return 结果
     */
    public int insertDeviceSetup(WatchDeviceSetup watchDeviceSetup);

    /**
     * 修改设备设置信息
     *
     * @param watchDeviceSetup 设备设置信息
     * @return 结果
     */
    public int updateDeviceSetup(WatchDeviceSetup watchDeviceSetup);

    /**
     * 批量删除设备设置信息
     *
     * @param deviceIds 需要删除的设备设置信息主键集合
     * @return 结果
     */
    public int deleteDeviceSetupByDeviceIds(String[] deviceIds);

    /**
     * 删除设备设置信息信息
     *
     * @param deviceId 设备设置信息主键
     * @return 结果
     */
    public int deleteDeviceSetupByDeviceId(String deviceId);

    DeviceSetupVo getSetUpInfoByDeviceId(String deviceId);
}
